*Export log
Requests
HTTP request
GET /v5/logs/export
Export the search result to file, cookie required
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_time | number | True | timestamp of start time range |
| end_time | number | True | timestamp of end time range |
| size | number | False | page size |
| region_name | string | True | name of cluster |
| kubernetes_namespace | string | False | comma seperated names of k8s namespace |
| project_name | string | False | comma seperated names of projects |
| application_name | string | False | comma seperated names of application |
| node | string | False | comma seperated names of node |
| pod_name | string | False | comma seperated names of pod |
| container_id8 | string | False | comma seperated first 8 chars of docker container id |
| file_name | string | False | comma seperated names of path |
| component | string | False | comma seperated names of component |
| type | string | False | type of logs, choices: system, platform, kubernetes, workload, default to workload |
| workload | string | False | workload type and workload name pairs, such as: Deployment:lanaya,StatefulSet:apollo |
| query_string | string | False | full text search query |
| fileType | string | False | type of exported file, choices: txt, csv |
| fields | string | False | exported field names seperated with comma |
Responses
Content-Type
application/octet-stream
Status code: 200
OK